/*
    appearanceconfig.cpp  -  Kopete Look Feel Config

    Kopete    (c) 2002-2009 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef EMOTICONSEDITDIALOG_H
#define EMOTICONSEDITDIALOG_H

#include <kdebug.h>
#include <qhbox.h>
#include <kdialogbase.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <qfile.h>
#include <qdom.h>

class EmoticonsEditWidget;

class EditDialog : public KDialogBase
{
    Q_OBJECT

    public:
        EditDialog(QWidget *parent, const char* name);
        EditDialog(QWidget *parent, const char* name, QPixmap emot, QString text, QString file);
        const QString getText() { return leText->text(); };
        const QString getEmoticon() { return emoticon; };
    private slots:
        void btnIconClicked();
    private:
        void setupDlg();
        QWidget *wdg;
        KLineEdit *leText;
        KPushButton *btnIcon;
        QString emoticon;
};

class EmoticonsEditDialog : public KDialogBase
{
    Q_OBJECT

    public:
        EmoticonsEditDialog(QWidget *parent=0, QString theme = QString::null, const char* name="EmoticonsEditDialog");
        void addEmoticon(QString emo, QString text, bool copy);

    private slots:
        void slotOkClicked();
        void slotAddClicked();
        void slotEditClicked();
        void slotRemoveClicked();

    private:
        void removeEmoticon(QString emo);
        EmoticonsEditWidget *mMainWidget;
        QString themeName;
        EditDialog *dlg;
        QDomDocument themeXml;
};

#endif
